# Interface FaceDetectorConfig

Detector part of face configuration

interface FaceDetectorConfig {
enabled : boolean;
iouThreshold : number;
mask : boolean;
maxDetected : number;
minConfidence : number;
minSize : number;
modelPath : string;
return : boolean;
rotation : boolean;
scale : number;
skipFrames : number;
skipTime : number;
square : boolean;
}

#### Hierarchy (View Summary)

- GenericConfig
  - FaceDetectorConfig

- Defined in src/config.ts:27

##### Index

### Properties

enabled
iouThreshold
mask
maxDetected
minConfidence
minSize
modelPath
return
rotation
scale
skipFrames
skipTime
square

## Properties

### enabled

enabled: boolean

is module enabled?

Inherited from GenericConfig.enabled

- Defined in src/config.ts:15

### iouThreshold

iouThreshold: number

minimum overlap between two detected faces before one is discarded

- Defined in src/config.ts:39

### mask

mask: boolean

should child models perform on masked image of a face

- Defined in src/config.ts:45

### maxDetected

maxDetected: number

maximum number of detected faces

- Defined in src/config.ts:33

### minConfidence

minConfidence: number

minimum confidence for a detected face before results are discarded

- Defined in src/config.ts:35

### minSize

minSize: number

minimum size in pixels of a detected face box before resutls are discared

- Defined in src/config.ts:37

### modelPath

modelPath: string

path to model json file (relative to `modelBasePath`

Inherited from GenericConfig.modelPath

- Defined in src/config.ts:17

### return

return: boolean

should face detection return processed and cropped face tensor that can with an external model for addtional processing? if enabled it must be manually deallocated to avoid memory leak

- Defined in src/config.ts:48

### rotation

rotation: boolean

is face rotation correction performed after detecting face? used to correctly analyze faces under high angles

- Defined in src/config.ts:31

### scale

scale: number

how much should face box be enlarged over the min/max facial coordinates

- Defined in src/config.ts:41

### skipFrames

skipFrames: number

how many max frames to go without re-running model if cached results are acceptable for two-phase models such as face and hand caching applies to bounding boxes detection only

Inherited from GenericConfig.skipFrames

- Defined in src/config.ts:20

### skipTime

skipTime: number

how many max milliseconds to go without re-running model if cached results are acceptable for two-phase models such as face and hand caching applies to bounding boxes detection only

Inherited from GenericConfig.skipTime

- Defined in src/config.ts:23

### square

square: boolean

automatically pad image to square

- Defined in src/config.ts:43